%define major		0
%define libname		%mklibname %{name} %{major}
%define develname	%mklibname %{name} -d

Summary: 	E17 basic convenience wrappers around dbus
Name: 		e_dbus
Version: 	0.5.0.050
Release: 	%mkrel 2
Source:		http://download.enlightenment.org/snapshots/LATEST/%{name}-%{version}.tar.bz2
License: 	BSD
Group: 		System/Servers
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
URL: 		http://www.enlightenment.org/
BuildRequires:	dbus-devel
BuildRequires:	ecore-devel >= 0.9.9.050

%description
This is the start of some basic convenience wrappers around dbus to
ease integrating dbus with EFL based applications.
When using e_dbus, direct use of the low level dbus api is still
heavily required for processing messages.

%package -n %{libname}
Summary:	Libraries for the %{name} package
Group:		System/Libraries
Obsoletes:	%{mklibname e_dbus 1} <= 0.01

%description -n %{libname}
Libraries for %{name}.

%package -n %{develname}
Summary:	Headers and development libraries from %{name}
Group:		Development/Other
Requires:	%{libname} = %{version}
Requires:	%{name} = %{version}
Provides:	%{name}-devel = %{version}-%{release}

%description -n %{develname}
%{name} development headers and libraries.

%prep
%setup -q

%build
%configure2_5x
%make

%install
rm -rf %{buildroot}
%makeinstall_std

%if %mdkversion < 200900
%post -n %{libname} -p /sbin/ldconfig
%endif
%if %mdkversion < 200900
%postun -n %{libname} -p /sbin/ldconfig
%endif

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc AUTHORS README
%{_bindir}/*

%files -n %{libname}
%defattr(-,root,root)
%{_libdir}/*.so.%{major}*

%files -n %{develname}
%defattr(-,root,root)
%{_libdir}/pkgconfig/*
%{_libdir}/*.so
%{_libdir}/*.a
%{_libdir}/*.la
%{_includedir}/*.h


%changelog
* Mon Mar 02 2009 Antoine Ginies <aginies@mandriva.com> 0.5.0.050-2mdv2009.1
+ Revision: 346964
- SVN SNAPSHOT 20090227, release 0.5.0.050

* Sun Oct 12 2008 Funda Wang <fundawang@mandriva.org> 0.5.0.050-1mdv2009.1
+ Revision: 292633
- New version 0.5.0.050

  + Thierry Vignaud <tvignaud@mandriva.com>
    - rebuild early 2009.0 package (before pixel changes)

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Sun Jun 01 2008 Funda Wang <fundawang@mandriva.org> 0.5.0.043-1mdv2009.0
+ Revision: 213988
- fix filelist
- New version 0.5.0.043

* Fri Feb 15 2008 Antoine Ginies <aginies@mandriva.com> 0.1.0.042-2mdv2008.1
+ Revision: 168997
- bump release, restore buildrequires specific version

  + Thierry Vignaud <tvignaud@mandriva.com>
    - fix no-buildroot-tag

* Sat Feb 02 2008 Austin Acton <austin@mandriva.org> 0.1.0.042-1mdv2008.1
+ Revision: 161521
- new vesrion
- tidy spec
- fix URL

* Fri Dec 21 2007 Adam Williamson <awilliamson@mandriva.org> 0.1.0.003-0.20071220.1mdv2008.1
+ Revision: 136141
- sync sources
- new library policy
- update to current CVS to fix build with changed core API
- sane buildrequires
- clean spec

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Mon Jun 04 2007 Antoine Ginies <aginies@mandriva.com> 0.01-2mdv2008.0
+ Revision: 35111
- fix Major, prevent major bug to happen again

* Fri May 25 2007 Antoine Ginies <aginies@mandriva.com> 0.01-1mdv2008.0
+ Revision: 31174
- add some buildrequires
- first release of e_dbus
- Import e_dbus

